"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractPackageFile = void 0;
const tslib_1 = require("tslib");
const logger_1 = require("../../../logger");
const schema_utils_1 = require("../../../util/schema-utils");
const parser_1 = require("./parser");
const rules_1 = require("./rules");
const rules = tslib_1.__importStar(require("./rules"));
function extractPackageFile(content, packageFile) {
    try {
        const records = (0, parser_1.parse)(content);
        return (0, schema_utils_1.LooseArray)(rules_1.RuleToBazelModulePackageDep)
            .transform(rules.toPackageDependencies)
            .transform((deps) => (deps.length ? { deps } : null))
            .parse(records);
    }
    catch (err) {
        logger_1.logger.debug({ err, packageFile }, 'Failed to parse bazel module file.');
        return null;
    }
}
exports.extractPackageFile = extractPackageFile;
//# sourceMappingURL=extract.js.map